'*****************************************************************************
'
'  FASTGRAF.BI
'
'  This file contains the BASIC function and subroutine declarations for
'  Fastgraph V3.04.
'
'  Copyright (c) 1991-1994 Ted Gruber Software.  All rights reserved.
'
'*****************************************************************************

DECLARE FUNCTION FGallocate% CDECL ALIAS "_fg_allocate" (BYVAL ARG1%)
DECLARE FUNCTION FGalloccms% CDECL ALIAS "_fg_alloccms" (BYVAL ARG1%)
DECLARE FUNCTION FGallocems% CDECL ALIAS "_fg_allocems" (BYVAL ARG1%)
DECLARE FUNCTION FGallocxms% CDECL ALIAS "_fg_allocxms" (BYVAL ARG1%)
DECLARE FUNCTION FGautomode% CDECL ALIAS "_fg_automode" ()

DECLARE FUNCTION FGbestmode% CDECL ALIAS "_fg_bestmode" (BYVAL ARG1%, BYVAL ARG2%, BYVAL ARG3%)
DECLARE SUB      FGbox       CDECL ALIAS "_fg_box"      (BYVAL ARG1%, BYVAL ARG2%, BYVAL ARG3%, BYVAL ARG4%)
DECLARE SUB      FGboxdepth  CDECL ALIAS "_fg_boxdepth" (BYVAL ARG1%, BYVAL ARG2%)
DECLARE SUB      FGboxw                                 (ARG1#, ARG2#, ARG3#, ARG4#)
DECLARE SUB      FGboxx      CDECL ALIAS "_fg_boxx"     (BYVAL ARG1%, BYVAL ARG2%, BYVAL ARG3%, BYVAL ARG4%)
DECLARE SUB      FGboxxw                                (ARG1#, ARG2#, ARG3#, ARG4#)
DECLARE FUNCTION FGbutton%   CDECL ALIAS "_fg_button"   (BYVAL ARG1%)

DECLARE FUNCTION FGcapslock% CDECL ALIAS "_fg_capslock" ()
DECLARE SUB      FGchgattr   CDECL ALIAS "_fg_chgattr"  (BYVAL ARG1%)
DECLARE SUB      FGchgtext   CDECL ALIAS "_fg_chgtext"  (ARG1$, BYVAL ARG2%)
DECLARE SUB      FGcircle    CDECL ALIAS "_fg_circle"   (BYVAL ARG1%)
DECLARE SUB      FGcirclef   CDECL ALIAS "_fg_circlef"  (BYVAL ARG1%)
DECLARE SUB      FGcirclefw                             (ARG1#)
DECLARE SUB      FGcirclew                              (ARG1#)
DECLARE SUB      FGclipmask  CDECL ALIAS "_fg_clipmask" (ARG1$, BYVAL ARG2%, BYVAL ARG3%)
DECLARE SUB      FGclpimage  CDECL ALIAS "_fg_clpimage" (ARG1$, BYVAL ARG2%, BYVAL ARG3%)
DECLARE SUB      FGclprect   CDECL ALIAS "_fg_clprect"  (BYVAL ARG1%, BYVAL ARG2%, BYVAL ARG3%, BYVAL ARG4%)
DECLARE SUB      FGclprectw                             (ARG1#, ARG2#, ARG3#, ARG4#)
DECLARE SUB      FGcopypage  CDECL ALIAS "_fg_copypage" (BYVAL ARG1%, BYVAL ARG2%)
DECLARE SUB      FGcursor    CDECL ALIAS "_fg_cursor"   (BYVAL ARG1%)

DECLARE SUB      FGdash      CDECL ALIAS "_fg_dash"     (BYVAL ARG1%, BYVAL ARG2%, BYVAL ARG3%)
DECLARE SUB      FGdashrel   CDECL ALIAS "_fg_dashrel"  (BYVAL ARG1%, BYVAL ARG2%, BYVAL ARG3%)
DECLARE SUB      FGdashrw                               (ARG1#, ARG2#, ARG3%)
DECLARE SUB      FGdashw                                (ARG1#, ARG2#, ARG3%)
DECLARE SUB      FGdefcolor  CDECL ALIAS "_fg_defcolor" (BYVAL ARG1%, BYVAL ARG2%)
DECLARE SUB      FGdefpages  CDECL ALIAS "_fg_defpages" (BYVAL ARG1%, BYVAL ARG2%)
DECLARE SUB      FGdispfile  CDECL ALIAS "_fg_dispfile" (ARG1$, BYVAL ARG2%, BYVAL ARG3%)
DECLARE SUB      FGdisplay   CDECL ALIAS "_fg_display"  (ARG1$, BYVAL ARG2%, BYVAL ARG3%)
DECLARE SUB      FGdisplayp  CDECL ALIAS "_fg_displayp" (ARG1$, BYVAL ARG2%, BYVAL ARG3%)
DECLARE SUB      FGdraw      CDECL ALIAS "_fg_draw"     (BYVAL ARG1%, BYVAL ARG2%)
DECLARE SUB      FGdrawmap   CDECL ALIAS "_fg_drawmap"  (ARG1$, BYVAL ARG2%, BYVAL ARG3%)
DECLARE SUB      FGdrawmask  CDECL ALIAS "_fg_drawmask" (ARG1$, BYVAL ARG2%, BYVAL ARG3%)
DECLARE SUB      FGdrawrel   CDECL ALIAS "_fg_drawrel"  (BYVAL ARG1%, BYVAL ARG2%)
DECLARE SUB      FGdrawrelx  CDECL ALIAS "_fg_drawrelx" (BYVAL ARG1%, BYVAL ARG2%)
DECLARE SUB      FGdrawrw                               (ARG1#, ARG2#)
DECLARE SUB      FGdrawrxw                              (ARG1#, ARG2#)
DECLARE SUB      FGdraww                                (ARG1#, ARG2#)
DECLARE SUB      FGdrawx     CDECL ALIAS "_fg_drawx"    (BYVAL ARG1%, BYVAL ARG2%)
DECLARE SUB      FGdrawxw                               (ARG1#, ARG2#)
DECLARE SUB      FGdrect     CDECL ALIAS "_fg_drect"    (BYVAL ARG1%, BYVAL ARG2%, BYVAL ARG3%, BYVAL ARG4%, ARG5$)
DECLARE SUB      FGdrectw                               (ARG1#, ARG2#, ARG3#, ARG4#, ARG5$)
DECLARE SUB      FGdrwimage  CDECL ALIAS "_fg_drwimage" (ARG1$, BYVAL ARG2%, BYVAL ARG3%)

DECLARE FUNCTION FGegacheck% CDECL ALIAS "_fg_egacheck" ()
DECLARE SUB      FGellipse   CDECL ALIAS "_fg_ellipse"  (BYVAL ARG1%, BYVAL ARG2%)
DECLARE SUB      FGellipsef  CDECL ALIAS "_fg_ellipsef" (BYVAL ARG1%, BYVAL ARG2%)
DECLARE SUB      FGellipsew                             (ARG1#, ARG2#)
DECLARE SUB      FGellipsfw                             (ARG1#, ARG2#)
DECLARE SUB      FGerase     CDECL ALIAS "_fg_erase"    ()

DECLARE SUB      FGfadein    CDECL ALIAS "_fg_fadein"   (BYVAL ARG1%)
DECLARE SUB      FGfadeout   CDECL ALIAS "_fg_fadeout"  (BYVAL ARG1%)
DECLARE SUB      FGfillpage  CDECL ALIAS "_fg_fillpage" ()
DECLARE SUB      FGflipmask  CDECL ALIAS "_fg_flipmask" (ARG1$, BYVAL ARG2%, BYVAL ARG3%)
DECLARE SUB      FGflood     CDECL ALIAS "_fg_flood"    (BYVAL ARG1%, BYVAL ARG2%)
DECLARE SUB      FGfloodw                               (ARG1#, ARG2#)
DECLARE SUB      FGflpimage  CDECL ALIAS "_fg_flpimage" (ARG1$, BYVAL ARG2%, BYVAL ARG3%)
DECLARE SUB      FGfontsize  CDECL ALIAS "_fg_fontsize" (BYVAL ARG1%)
DECLARE FUNCTION FGfreepage% CDECL ALIAS "_fg_freepage" (BYVAL ARG1%)

DECLARE FUNCTION FGgetaddr%  CDECL ALIAS "_fg_getaddr"  ()
DECLARE FUNCTION FGgetattr%  CDECL ALIAS "_fg_getattr"  (BYVAL ARG1%, BYVAL ARG2%)
DECLARE SUB      FGgetblock  CDECL ALIAS "_fg_getblock" (ARG1$, BYVAL ARG2%, BYVAL ARG3%, BYVAL ARG4%, BYVAL ARG5%)
DECLARE FUNCTION FGgetchar%  CDECL ALIAS "_fg_getchar"  (BYVAL ARG1%, BYVAL ARG2%)
DECLARE FUNCTION FGgetclock& CDECL ALIAS "_fg_getclock" ()
DECLARE FUNCTION FGgetcolor% CDECL ALIAS "_fg_getcolor" ()
DECLARE SUB      FGgetdacs   CDECL ALIAS "_fg_getdacs"  (BYVAL ARG1%, BYVAL ARG2%, ARG3$)
DECLARE SUB      FGgetentry  CDECL ALIAS "_fg_getentry" (BYVAL ARG1%, ARG2%, ARG3%)
DECLARE FUNCTION FGgethpage% CDECL ALIAS "_fg_gethpage" ()
DECLARE SUB      FGgetimage  CDECL ALIAS "_fg_getimage" (ARG1$, BYVAL ARG2%, BYVAL ARG3%)
DECLARE FUNCTION FGgetindex% CDECL ALIAS "_fg_getindex" (BYVAL ARG1%)
DECLARE SUB      FGgetkey    CDECL ALIAS "_fg_getkey"   (ARG1$, ARG2$)
DECLARE FUNCTION FGgetlines% CDECL ALIAS "_fg_getlines" ()
DECLARE SUB      FGgetmap    CDECL ALIAS "_fg_getmap"   (ARG1$, BYVAL ARG2%, BYVAL ARG3%)
DECLARE FUNCTION FGgetmaxx%  CDECL ALIAS "_fg_getmaxx"  ()
DECLARE FUNCTION FGgetmaxy%  CDECL ALIAS "_fg_getmaxy"  ()
DECLARE FUNCTION FGgetmode%  CDECL ALIAS "_fg_getmode"  ()
DECLARE FUNCTION FGgetpage%  CDECL ALIAS "_fg_getpage"  ()
DECLARE FUNCTION FGgetpixel% CDECL ALIAS "_fg_getpixel" (BYVAL ARG1%, BYVAL ARG2%)
DECLARE SUB      FGgetrgb    CDECL ALIAS "_fg_getrgb"   (BYVAL ARG1%, ARG2%, ARG3%, ARG4%)
DECLARE FUNCTION FGgetvpage% CDECL ALIAS "_fg_getvpage" ()
DECLARE SUB      FGgetworld                             (ARG1#, ARG2#, ARG3#, ARG4#)
DECLARE FUNCTION FGgetxjoy%  CDECL ALIAS "_fg_getxjoy"  (BYVAL ARG1%)
DECLARE FUNCTION FGgetxpos%  CDECL ALIAS "_fg_getxpos"  ()
DECLARE FUNCTION FGgetyjoy%  CDECL ALIAS "_fg_getyjoy"  (BYVAL ARG1%)
DECLARE FUNCTION FGgetypos%  CDECL ALIAS "_fg_getypos"  ()

DECLARE SUB      FGhush      CDECL ALIAS "_fg_hush"     ()
DECLARE SUB      FGhushnext  CDECL ALIAS "_fg_hushnext" ()

DECLARE SUB      FGimagebuf  CDECL ALIAS "_fg_imagebuf" (ARG1$, BYVAL ARG2%)
DECLARE FUNCTION FGimagesiz& CDECL ALIAS "_fg_imagesiz" (BYVAL ARG1%, BYVAL ARG2%)
DECLARE FUNCTION FGinitems%  CDECL ALIAS "_fg_initems"  ()
DECLARE FUNCTION FGinitjoy%  CDECL ALIAS "_fg_initjoy"  (BYVAL ARG1%)
DECLARE SUB      FGinitw                                ()
DECLARE FUNCTION FGinitxms%  CDECL ALIAS "_fg_initxms"  ()
DECLARE FUNCTION FGinside%   CDECL ALIAS "_fg_inside"   (ARG1%(), BYVAL ARG2%, BYVAL ARG3%, BYVAL ARG4%)
DECLARE SUB      FGintjoy    CDECL ALIAS "_fg_intjoy"   (BYVAL ARG1%, ARG2$, ARG3$)
DECLARE SUB      FGintkey    CDECL ALIAS "_fg_intkey"   (ARG1$, ARG2$)

DECLARE SUB      FGjustify   CDECL ALIAS "_fg_justify"  (BYVAL ARG1%, BYVAL ARG2%)

DECLARE SUB      FGkbinit    CDECL ALIAS "_fg_kbinit"   (BYVAL ARG1%)
DECLARE FUNCTION FGkbtest%   CDECL ALIAS "_fg_kbtest"   (BYVAL ARG1%)

DECLARE SUB      FGlocate    CDECL ALIAS "_fg_locate"   (BYVAL ARG1%, BYVAL ARG2%)

DECLARE FUNCTION FGmakegif%  CDECL ALIAS "_fg_makegif"  (BYVAL ARG1%, BYVAL ARG2%, BYVAL ARG3%, BYVAL ARG4%, ARG5$)
DECLARE FUNCTION FGmakepcx%  CDECL ALIAS "_fg_makepcx"  (BYVAL ARG1%, BYVAL ARG2%, BYVAL ARG3%, BYVAL ARG4%, ARG5$)
DECLARE FUNCTION FGmakeppr%  CDECL ALIAS "_fg_makeppr"  (BYVAL ARG1%, BYVAL ARG2%, BYVAL ARG3%, BYVAL ARG4%, ARG5$)
DECLARE FUNCTION FGmakespr%  CDECL ALIAS "_fg_makespr"  (BYVAL ARG1%, BYVAL ARG2%, BYVAL ARG3%, BYVAL ARG4%, ARG5$)
DECLARE FUNCTION FGmaprgb%   CDECL ALIAS "_fg_maprgb"   (BYVAL ARG1%, BYVAL ARG2%, BYVAL ARG3%)
DECLARE FUNCTION FGmeasure%  CDECL ALIAS "_fg_measure"  ()
DECLARE FUNCTION FGmemavail& CDECL ALIAS "_fg_memavail" ()
DECLARE FUNCTION FGmemory%   CDECL ALIAS "_fg_memory"   ()
DECLARE SUB      FGmousebut  CDECL ALIAS "_fg_mousebut" (BYVAL ARG1%, ARG2%, ARG3%, ARG4%)
DECLARE SUB      FGmousecur  CDECL ALIAS "_fg_mousecur" (BYVAL ARG1%, BYVAL ARG2%)
DECLARE SUB      FGmousefin  CDECL ALIAS "_fg_mousefin" ()
DECLARE FUNCTION FGmouseini% CDECL ALIAS "_fg_mouseini" ()
DECLARE SUB      FGmouselim  CDECL ALIAS "_fg_mouselim" (BYVAL ARG1%, BYVAL ARG2%, BYVAL ARG3%, BYVAL ARG4%)
DECLARE SUB      FGmousemov  CDECL ALIAS "_fg_mousemov" (BYVAL ARG1%, BYVAL ARG2%)
DECLARE SUB      FGmousepos  CDECL ALIAS "_fg_mousepos" (ARG1%, ARG2%, ARG3%)
DECLARE SUB      FGmouseptr  CDECL ALIAS "_fg_mouseptr" (ARG1%(), BYVAL ARG2%, BYVAL ARG3%)
DECLARE SUB      FGmousespd  CDECL ALIAS "_fg_mousespd" (BYVAL ARG1%, BYVAL ARG2%)
DECLARE SUB      FGmousevis  CDECL ALIAS "_fg_mousevis" (BYVAL ARG1%)
DECLARE SUB      FGmove      CDECL ALIAS "_fg_move"     (BYVAL ARG1%, BYVAL ARG2%)
DECLARE SUB      FGmoverel   CDECL ALIAS "_fg_moverel"  (BYVAL ARG1%, BYVAL ARG2%)
DECLARE SUB      FGmoverw                               (ARG1#, ARG2#)
DECLARE SUB      FGmovew                                (ARG1#, ARG2#)
DECLARE SUB      FGmusic     CDECL ALIAS "_fg_music"    (ARG1$)
DECLARE SUB      FGmusicb    CDECL ALIAS "_fg_musicb"   (ARG1$, BYVAL ARG2%)

DECLARE FUNCTION FGnumlock%  CDECL ALIAS "_fg_numlock"  ()

DECLARE FUNCTION FGpagesize& CDECL ALIAS "_fg_pagesize" ()
DECLARE SUB      FGpaint     CDECL ALIAS "_fg_paint"    (BYVAL ARG1%, BYVAL ARG2%)
DECLARE SUB      FGpaintw                               (ARG1#, ARG2#)
DECLARE SUB      FGpalette   CDECL ALIAS "_fg_palette"  (BYVAL ARG1%, BYVAL ARG2%)
DECLARE SUB      FGpalettes  CDECL ALIAS "_fg_palettes" (ARG1%())
DECLARE SUB      FGpan       CDECL ALIAS "_fg_pan"      (BYVAL ARG1%, BYVAL ARG2%)
DECLARE SUB      FGpanw                                 (ARG1#, ARG2#)
DECLARE SUB      FGpattern   CDECL ALIAS "_fg_pattern"  (BYVAL ARG1%, BYVAL ARG2%)
DECLARE FUNCTION FGpcxhead%  CDECL ALIAS "_fg_pcxhead"  (ARG1$, ARG2$)
DECLARE FUNCTION FGpcxmode%  CDECL ALIAS "_fg_pcxmode"  (ARG1$)
DECLARE FUNCTION FGplaying%  CDECL ALIAS "_fg_playing"  ()
DECLARE SUB      FGpoint     CDECL ALIAS "_fg_point"    (BYVAL ARG1%, BYVAL ARG2%)
DECLARE SUB      FGpointw                               (ARG1#, ARG2#)
DECLARE SUB      FGpointx    CDECL ALIAS "_fg_pointx"   (BYVAL ARG1%, BYVAL ARG2%)
DECLARE SUB      FGpointxw                              (ARG1#, ARG2#)
DECLARE SUB      FGpolyfill  CDECL ALIAS "_fg_polyfill" (ARG1%(), ARG2%(), BYVAL ARG3%)
DECLARE SUB      FGpolygon   CDECL ALIAS "_fg_polygon"  (ARG1%(), ARG2%(), BYVAL ARG3%)
DECLARE SUB      FGpolygonw                             (ARG1#(), ARG2#(), ARG3%)
DECLARE SUB      FGpolyline  CDECL ALIAS "_fg_polyline" (ARG1%(), BYVAL ARG2%)
DECLARE SUB      FGpolyoff   CDECL ALIAS "_fg_polyoff"  (BYVAL ARG1%, BYVAL ARG2%)
DECLARE SUB      FGprint     CDECL ALIAS "_fg_print"    (ARG1$, BYVAL ARG2%)
DECLARE SUB      FGputblock  CDECL ALIAS "_fg_putblock" (ARG1$, BYVAL ARG2%, BYVAL ARG3%, BYVAL ARG4%, BYVAL ARG5%)
DECLARE SUB      FGputimage  CDECL ALIAS "_fg_putimage" (ARG1$, BYVAL ARG2%, BYVAL ARG3%)

DECLARE SUB      FGquiet     CDECL ALIAS "_fg_quiet"    ()

DECLARE SUB      FGrect      CDECL ALIAS "_fg_rect"     (BYVAL ARG1%, BYVAL ARG2%, BYVAL ARG3%, BYVAL ARG4%)
DECLARE SUB      FGrectw                                (ARG1#, ARG2#, ARG3#, ARG4#)
DECLARE SUB      FGreset     CDECL ALIAS "_fg_reset"    ()
DECLARE SUB      FGresize    CDECL ALIAS "_fg_resize"   (BYVAL ARG1%, BYVAL ARG2%)
DECLARE SUB      FGrestore   CDECL ALIAS "_fg_restore"  (BYVAL ARG1%, BYVAL ARG2%, BYVAL ARG3%, BYVAL ARG4%)
DECLARE SUB      FGrestorew                             (ARG1#, ARG2#, ARG3#, ARG4#)
DECLARE SUB      FGresume    CDECL ALIAS "_fg_resume"   ()
DECLARE SUB      FGrevimage  CDECL ALIAS "_fg_revimage" (ARG1$, BYVAL ARG2%, BYVAL ARG3%)
DECLARE SUB      FGrevmask   CDECL ALIAS "_fg_revmask"  (ARG1$, BYVAL ARG2%, BYVAL ARG3%)

DECLARE SUB      FGsave      CDECL ALIAS "_fg_save"     (BYVAL ARG1%, BYVAL ARG2%, BYVAL ARG3%, BYVAL ARG4%)
DECLARE SUB      FGsavew                                (ARG1#, ARG2#, ARG3#, ARG4#)
DECLARE FUNCTION FGscrlock%  CDECL ALIAS "_fg_scrlock"  ()
DECLARE SUB      FGscroll    CDECL ALIAS "_fg_scroll"   (BYVAL ARG1%, BYVAL ARG2%, BYVAL ARG3%, BYVAL ARG4%, BYVAL ARG5%, BYVAL ARG6%)
DECLARE SUB      FGsetangle                             (ARG1#)
DECLARE SUB      FGsetattr   CDECL ALIAS "_fg_setattr"  (BYVAL ARG1%, BYVAL ARG2%, BYVAL ARG3%)
DECLARE SUB      FGsetcaps   CDECL ALIAS "_fg_setcaps"  (BYVAL ARG1%)
DECLARE SUB      FGsetclip   CDECL ALIAS "_fg_setclip"  (BYVAL ARG1%, BYVAL ARG2%, BYVAL ARG3%, BYVAL ARG4%)
DECLARE SUB      FGsetclipw                             (ARG1#, ARG2#, ARG3#, ARG4#)
DECLARE SUB      FGsetcolor  CDECL ALIAS "_fg_setcolor" (BYVAL ARG1%)
DECLARE SUB      FGsetdacs   CDECL ALIAS "_fg_setdacs"  (BYVAL ARG1%, BYVAL ARG2%, ARG3$)
DECLARE SUB      FGsetentry  CDECL ALIAS "_fg_setentry" (BYVAL ARG1%, BYVAL ARG2%, BYVAL ARG3%)
DECLARE SUB      FGsetfunc   CDECL ALIAS "_fg_setfunc"  (BYVAL ARG1%)
DECLARE SUB      FGsethpage  CDECL ALIAS "_fg_sethpage" (BYVAL ARG1%)
DECLARE SUB      FGsetlines  CDECL ALIAS "_fg_setlines" (BYVAL ARG1%)
DECLARE SUB      FGsetmode   CDECL ALIAS "_fg_setmode"  (BYVAL ARG1%)
DECLARE SUB      FGsetnum    CDECL ALIAS "_fg_setnum"   (BYVAL ARG1%)
DECLARE SUB      FGsetpage   CDECL ALIAS "_fg_setpage"  (BYVAL ARG1%)
DECLARE SUB      FGsetratio                             (ARG1#)
DECLARE SUB      FGsetrgb    CDECL ALIAS "_fg_setrgb"   (BYVAL ARG1%, BYVAL ARG2%, BYVAL ARG3%, BYVAL ARG4%)
DECLARE SUB      FGsetsize                              (ARG1%)
DECLARE SUB      FGsetsizew                             (ARG1#)
DECLARE SUB      FGsetvpage  CDECL ALIAS "_fg_setvpage" (BYVAL ARG1%)
DECLARE SUB      FGsetworld                             (ARG1#, ARG2#, ARG3#, ARG4#)
DECLARE FUNCTION FGshowgif%  CDECL ALIAS "_fg_showgif"  (ARG1$, BYVAL ARG2%)
DECLARE FUNCTION FGshowpcx%  CDECL ALIAS "_fg_showpcx"  (ARG1$, BYVAL ARG2%)
DECLARE FUNCTION FGshowppr%  CDECL ALIAS "_fg_showppr"  (ARG1$, BYVAL ARG2%)
DECLARE FUNCTION FGshowspr%  CDECL ALIAS "_fg_showspr"  (ARG1$, BYVAL ARG2%)
DECLARE SUB      FGsound     CDECL ALIAS "_fg_sound"    (BYVAL ARG1%, BYVAL ARG2%)
DECLARE SUB      FGsounds    CDECL ALIAS "_fg_sounds"   (ARG1%(), BYVAL ARG2%)
DECLARE SUB      FGstall     CDECL ALIAS "_fg_stall"    (BYVAL ARG1%)
DECLARE SUB      FGsuspend   CDECL ALIAS "_fg_suspend"  ()
DECLARE FUNCTION FGsvgainit% CDECL ALIAS "_fg_svgainit" (BYVAL ARG1%)
DECLARE FUNCTION FGsvgastat% CDECL ALIAS "_fg_svgastat" ()
DECLARE SUB      FGsvgaver   CDECL ALIAS "_fg_svgaver"  (ARG1%, ARG2%)
DECLARE SUB      FGswchar                               (ARG1$, ARG2%, ARG3%)
DECLARE FUNCTION FGswlength#                            (ARG1$, ARG2%)
DECLARE SUB      FGswtext                               (ARG1$, ARG2%, ARG3%)

DECLARE SUB      FGtcdefine  CDECL ALIAS "_fg_tcdefine" (BYVAL ARG1%, BYVAL ARG2%)
DECLARE SUB      FGtcmask    CDECL ALIAS "_fg_tcmask"   (BYVAL ARG1%)
DECLARE SUB      FGtcxfer    CDECL ALIAS "_fg_tcxfer"   (BYVAL ARG1%, BYVAL ARG2%, BYVAL ARG3%, BYVAL ARG4%, BYVAL ARG5%, BYVAL ARG6%, BYVAL ARG7%, BYVAL ARG8%)
DECLARE FUNCTION FGtestmode% CDECL ALIAS "_fg_testmode" (BYVAL ARG1%, BYVAL ARG2%)
DECLARE SUB      FGtext      CDECL ALIAS "_fg_text"     (ARG1$, BYVAL ARG2%)
DECLARE SUB      FGtransfer  CDECL ALIAS "_fg_transfer" (BYVAL ARG1%, BYVAL ARG2%, BYVAL ARG3%, BYVAL ARG4%, BYVAL ARG5%, BYVAL ARG6%, BYVAL ARG7%, BYVAL ARG8%)

DECLARE SUB      FGversion   CDECL ALIAS "_fg_version"  (ARG1%, ARG2%)
DECLARE SUB      FGvoice     CDECL ALIAS "_fg_voice"    (BYVAL ARG1%, BYVAL ARG2%, BYVAL ARG3%, BYVAL ARG4%)
DECLARE SUB      FGvoices    CDECL ALIAS "_fg_voices"   (ARG1%(), BYVAL ARG2%)

DECLARE SUB      FGwaitfor   CDECL ALIAS "_fg_waitfor"  (BYVAL ARG1%)
DECLARE SUB      FGwaitkey   CDECL ALIAS "_fg_waitkey"  ()
DECLARE SUB      FGwaitvr    CDECL ALIAS "_fg_waitvr"   (BYVAL ARG1%)
DECLARE SUB      FGwhere     CDECL ALIAS "_fg_where"    (ARG1%, ARG2%)

DECLARE FUNCTION FGxalpha%   CDECL ALIAS "_fg_xalpha"   (BYVAL ARG1%)
DECLARE FUNCTION FGxconvert% CDECL ALIAS "_fg_xconvert" (BYVAL ARG1%)
DECLARE FUNCTION FGxscreen%                             (ARG1#)
DECLARE FUNCTION FGxworld#                              (ARG1%)

DECLARE FUNCTION FGyalpha%   CDECL ALIAS "_fg_yalpha"   (BYVAL ARG1%)
DECLARE FUNCTION FGyconvert% CDECL ALIAS "_fg_yconvert" (BYVAL ARG1%)
DECLARE FUNCTION FGyscreen%                             (ARG1#)
DECLARE FUNCTION FGyworld#                              (ARG1%)
